@ECHO OFF
REM - LABEL INDICATING THE BEGINNING OF THE DOCUMENT.
:BEGIN
CLS
SET PASS=%1

IF [%PASS%] == [] GOTO VOIDP

GOTO END
:VOIDP
SET /p PASS="Inserire la password dell'ambiente di sicurezza (in maiuscolo): " %=%
IF [%PASS%] == [] GOTO PASSVOID

GOTO END

:PASSVOID
ECHO "La password e' un dato obbligatorio"
GOTO VOIDP

:END

rem echo off

set _JAVA_PATH="Inserire il percorso della jre"
set _LIBPATH=..\lib
set _CFGBPATH=..\prog\cfg

set _CLASSPATH=..\entratelMultifile.jar

set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\cryptotools16-3.6.2_patch3.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\bcpkix-jdk15on-149.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\bcprov-jdk15on-149.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\bcmail-jdk15on-149.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\commons-lang-2.0.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\commons-io-2.4.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\jdom_all.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\Supporto.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\commons-exec-1.1.jar
set _CLASSPATH=%_CLASSPATH%;%_LIBPATH%\gson-2.6.2.jar


%_JAVA_PATH%\java -ms30M -mx800M -cp %_CLASSPATH%  it.sogei.telematici.multifile.RunFirma %PASS%

PAUSE
